For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all return line items

How to fetch a collection of return line items via API

To fetch a collection of return line items, send a GET request to the /api/return_line_items endpoint.

Request

GET https://yourdomain.commercelayer.io/api/return_line_items

Example

The following request fetches a collection of return line items:

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/return_line_items/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "XAyRWNUzyN",
      "type": "return_line_items",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/return_line_items/XAyRWNUzyN"
      },
      "attributes": {
        "sku_code": "TSHIRTMM000000FFFFFFXLXX",
        "bundle_code": "BUNDLEMM000000FFFFFFXLXX",
        "quantity": 4,
        "name": "Men's Black T-shirt with White Logo (XL)",
        "image_url": "https://img.yourdomain.com/skus/xYZkjABcde.png",
        "total_amount_cents": 8800,
        "total_amount_float": 88.0,
        "formatted_total_amount": "€88,00",
        "return_reason": {
          "size": "was wrong"
        },
        "restocked_at": "2018-01-01T12:00:00.000Z",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "return": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/return_line_items/XAyRWNUzyN/relationships/return",
            "related": "https://yourdomain.commercelayer.io/api/return_line_items/XAyRWNUzyN/return"
          }
        },
        "line_item": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/return_line_items/XAyRWNUzyN/relationships/line_item",
            "related": "https://yourdomain.commercelayer.io/api/return_line_items/XAyRWNUzyN/line_item"
          }
        },
        "event_stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/return_line_items/XAyRWNUzyN/relationships/event_stores",
            "related": "https://yourdomain.commercelayer.io/api/return_line_items/XAyRWNUzyN/event_stores"
          }
        }
      },
      "meta": {
        "mode": "test",
        "organization_id": "xRRkjDFafe",
        "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
      }
    },
    {
      "other": "... 9 return_line_items (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14,
    "page_size": 10,
    "page_number": 1,
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  },
  "links": {
    "first": "https://yourdomain.commercelayer.io/api/return_line_items?page[number]=1&page[size]=10",
    "next": "https://yourdomain.commercelayer.io/api/return_line_items?page[number]=2&page[size]=10",
    "last": "https://yourdomain.commercelayer.io/api/return_line_items?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of return line items can be sorted by the following fields:

Attributes

  • quantity

  • total_amount_cents

  • restocked_at

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Relationships

  • return

  • line_item

Filterable fields

The list of return line items can be filtered by the following fields:

Attributes

  • quantity

  • total_amount_cents

  • return_reason

  • restocked_at

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Relationships

  • return

  • line_item

Last updated